package com.huiju.welcome.controller;


import com.huiju.welcome.common.base.BaseController;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaGoodsSpec;
import com.huiju.welcome.service.ITaGoodsSpecService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@RestController
@RequestMapping("/")
public class TaGoodsSpecController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaGoodsSpecController.class);

    @Autowired
    public ITaGoodsSpecService iTaGoodsSpecService;


    /**
     * 保存对象
     * @param taGoodsSpec 实体对象
     * @return
     */
    @RequestMapping(value="/taGoodsSpec/add",method= RequestMethod.POST)
    public ResponseBean tpGoodsSpecAdd(@RequestBody TaGoodsSpec taGoodsSpec){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsSpecService.save(taGoodsSpec)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsSpecAdd -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id删除对象
     * @param id  实体ID
     */
    @ResponseBody
    @RequestMapping(value="/taGoodsSpec/delete/{id}", method= RequestMethod.DELETE)
    public ResponseBean taGoodsSpecDelete(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            if(iTaGoodsSpecService.removeById(id)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsSpecDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 修改对象
     * @param taGoodsSpec 实体对象
     * @return
     */
    @RequestMapping(value="/taGoodsSpec/update",method= RequestMethod.PUT)
    public ResponseBean tpGoodsSpecUpdate(@RequestBody TaGoodsSpec taGoodsSpec){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsSpecService.updateById(taGoodsSpec)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsSpecUpdate -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/taGoodsSpec/get/{id}",method= RequestMethod.GET)
    public ResponseBean tpGoodsSpecGet(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            responseBean.addSuccess(iTaGoodsSpecService.getById(id));
        }catch (Exception e){
            logger.error("taGoodsSpecDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }
}
